<?php

namespace KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Trustly\Resource\Request;

use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Trustly\Resource\Request\Data\PaymentObjectInterface;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Trustly\Resource\Request\Data\PaymentInterface;
use KrokedilSwedbankPayDeps\SwedbankPay\Api\Service\Resource;
/**
 * Trustly Payment object
 */
class PaymentObject extends Resource implements PaymentObjectInterface
{
    /**
     * @return PaymentInterface
     */
    public function getPayment()
    {
        return $this->offsetGet(self::PAYMENT);
    }
    /**
     * @param PaymentInterface $payment
     * @return $this
     */
    public function setPayment($payment)
    {
        return $this->offsetSet(self::PAYMENT, $payment);
    }
}
